{smcl}
{* 7June2016}{...}
{title:Title}

{viewerjumpto "Syntax" "gini##syntax"}{...}
{viewerjumpto "Description" "gini##description"}{...}
{viewerjumpto "Options" "gini##options"}{...}
{viewerjumpto "Examples" "gini##examples"}{...}

{pstd}
{help gini} {hline 2} Calculation of the Gini index (G) across observations.

{title:Syntax}

{phang2}
{cmd:gini}
{it:varlist}
{ifin}
{cmd:,}
[{it: options}]

{synoptset 28 tabbed}{...}
{synopthdr}
{synoptline}

{synopt :{opt gen:erate(varname)}}creates a new variable where the gini index will be stored.{p_end}
{synopt :{opt weighted(varname)}}weights the gini index by the specified numeric variable.{p_end}
{synopt :{opt nodis:play}}does not display the index in the display window.{p_end}
{synoptline}
{p 4 6 2}
  {opt by} is required; see {manhelp by D}.
  {p_end}

{marker description}{...}
{title:Description} 

{p 4 4 2}{cmd:gini} finds the Gini Index (G) for all observations
in the within each bysort group. The Gini Index is a measure of inequality.
The Gini Index can calculated income, educational or any form of inequality. The type
of inequality is denoted by the {it:{help varlist}} specified after the gini command. When interested
in inequality across individuals the observations need to be individuals and the specified
variable needs to be the value of income, education, etc... associated with each individual.
If, instead, you are interested in inequality across geographic areas, schools, etc..., 
then the observations should each represent one geographic area, school, etc... For
these calculations, the index can be weighted by the number of people or space within 
the geographic areas or schools. The Gini ranges from 0 to 1 with zero denoting that the 
income, education, etc... is equally shared by all people or places in the population.
A one, on the other hand, denotes one person or place has all the income, education, etc...
in the population.{p_end}

{marker options}{...}
{title:Options} 

{phang}
{opt gen:erate(varname)} This option creates a new variable that will store the gini index
for each group denoted by the bysort. This variable name must comply with standard
Stata variable naming conventions and must not already exist in the data set.

{phang}
{opt weighted(varname)} This option weights the gini index by a given numeric 
variable that exist in the data set.

{phang}
{opt nodis:play} The default command will print out the gini index. If you prefer for the 
gini index to not be displayed, 
{opt nodis:play} will turn off the output.

{marker examples}{...}
{title:Examples}

{phang}
Calculating income inequality across all individuals within each company.
Each observation is a person and company is their employers id. This gini
will allow us to compare which companies have the most (and least) salary inequality.

{phang}{cmd:. bysort company: gini income, generate(company_income_gini)}{p_end}

{phang}
Calculating the previous income inequality without the display.

{phang}{cmd:. bysort company: gini income, nodisplay generate(company_income_gini)}{p_end}

{phang}
Calculating neighborhood SES inequality within metropolitian areas.
Each observation is a neighborhood and MSA is their associated metro area. This gini
will allow us to compare which metros have the most (and least) inequality between their 
neighborhoods.

{phang}{cmd:. bysort MSA: gini neigh_SES, generate(metro_gini_neighSES)}{p_end}

{phang}
Calculating the previous neighborhood inequality but now weighting it be
 the total populationin each neighborhood.

{phang}{cmd:. bysort MSA: gini neigh_SES, generate(metro_gini_neighSES) weighted(total_pop)}{p_end}


{marker authors}{...}
{title:Author} 

Junia Howell
Rice University
Department of Sociology

JuniaHowell@rice.edu
JuniaHowell.com
end
